Subject: [6lowapp] Fwd: New Version Notification for draft-shelby-core-coap-req-00

From: Xavi Vilajosana Guillen <[email-masked]>
Date: Mon, 01 Mar 2010 15:42:26 +0100

Hi all,

I have some aspects to ask for or to clarify regarding caching and multicast which in my opinion will be closely ralated. As I understand for multicast the document refers to application level multicast. Isn't it? Can anyone clarify me this point?

Besides, as nodes are sleeping most of the time, an asynchronous/event based model should be taken into account. In my opinion CoGII nodes may be used both for caching and for multicast. Multicast messages need to be cached (with an expiration time) at CoGII since end-nodes will be sleeping most of the time. I would like to point out the need for pull and push message delivery, that is, CoGII nodes should push messages to the network but also nodes should query CoGII for updates. Application level multicast then can be implemented as a combination of both techniques. 

Strict delivery of messages can constraint network lifetime forcing nodes to be updated periodically even some nodes may not need the information. Maybe exploring optimistic asynchronous consistency techniques can fit better to so constrained environment.

kind regards,
Xavier Vilajosana Guillen
Universitat Oberta de Catalunya
Estudis d'Informàtica, Multimèdia i Telecomunicació           
Rambla Poblenou 156 08018 Barcelona
Tel +34 93 326 37 07
[email-masked]